<?php
    $ptype_labels = array(
        'name'                  => _x( 'Portfolios', 'Post Type General Name', 'pagli-companion' ),
        'singular_name'         => _x( 'Portfolio', 'Post Type Singular Name', 'pagli-companion' ),
        'menu_name'             => __( 'Portfolio', 'pagli-companion' ),
        'name_admin_bar'        => __( 'Portfolio', 'pagli-companion' ),
        'archives'              => __( 'Item Archives', 'pagli-companion' ),
        'attributes'            => __( 'Item Attributes', 'pagli-companion' ),
        'parent_item_colon'     => __( 'Parent Item:', 'pagli-companion' ),
        'all_items'             => __( 'All Items', 'pagli-companion' ),
        'add_new_item'          => __( 'Add New Item', 'pagli-companion' ),
        'add_new'               => __( 'Add New', 'pagli-companion' ),
        'new_item'              => __( 'New Item', 'pagli-companion' ),
        'edit_item'             => __( 'Edit Item', 'pagli-companion' ),
        'update_item'           => __( 'Update Item', 'pagli-companion' ),
        'view_item'             => __( 'View Item', 'pagli-companion' ),
        'view_items'            => __( 'View Items', 'pagli-companion' ),
        'search_items'          => __( 'Search Item', 'pagli-companion' ),
        'not_found'             => __( 'Not found', 'pagli-companion' ),
        'not_found_in_trash'    => __( 'Not found in Trash', 'pagli-companion' ),
        'featured_image'        => __( 'Portfolio Image', 'pagli-companion' ),
        'set_featured_image'    => __( 'Set portfolio image', 'pagli-companion' ),
        'remove_featured_image' => __( 'Remove portfolio image', 'pagli-companion' ),
        'use_featured_image'    => __( 'Use as portfolio image', 'pagli-companion' ),
        'insert_into_item'      => __( 'Insert into item', 'pagli-companion' ),
        'uploaded_to_this_item' => __( 'Uploaded to this item', 'pagli-companion' ),
        'items_list'            => __( 'Items list', 'pagli-companion' ),
        'items_list_navigation' => __( 'Items list navigation', 'pagli-companion' ),
        'filter_items_list'     => __( 'Filter items list', 'pagli-companion' ),
    );
    $ptype_args = array(
        'label'                 => __( 'Portfolio', 'pagli-companion' ),
        'description'           => __( 'Post Type Description', 'pagli-companion' ),
        'labels'                => $ptype_labels,
        'supports'              => array( 'title', 'editor', 'thumbnail', ),
        'taxonomies'            => array( 'portfolio-category' ),
        'hierarchical'          => false,
        'public'                => true,
        'show_ui'               => true,
        'show_in_menu'          => true,
        'menu_position'         => 5,
        'menu_icon'             => 'dashicons-grid-view',
        'show_in_admin_bar'     => true,
        'show_in_nav_menus'     => true,
        'can_export'            => true,
        'has_archive'           => true,        
        'exclude_from_search'   => true,
        'publicly_queryable'    => true,
        'capability_type'       => 'page',
    );
    register_post_type( 'portfolio', $ptype_args );

    /** Register Taxonomy **/

    $tax_labels = array(
        'name'                       => _x( 'Categories', 'Taxonomy General Name', 'pagli-companion' ),
        'singular_name'              => _x( 'Category', 'Taxonomy Singular Name', 'pagli-companion' ),
        'menu_name'                  => __( 'Categories', 'pagli-companion' ),
        'all_items'                  => __( 'All Items', 'pagli-companion' ),
        'parent_item'                => __( 'Parent Item', 'pagli-companion' ),
        'parent_item_colon'          => __( 'Parent Item:', 'pagli-companion' ),
        'new_item_name'              => __( 'New Item Name', 'pagli-companion' ),
        'add_new_item'               => __( 'Add New Item', 'pagli-companion' ),
        'edit_item'                  => __( 'Edit Item', 'pagli-companion' ),
        'update_item'                => __( 'Update Item', 'pagli-companion' ),
        'view_item'                  => __( 'View Item', 'pagli-companion' ),
        'separate_items_with_commas' => __( 'Separate items with commas', 'pagli-companion' ),
        'add_or_remove_items'        => __( 'Add or remove items', 'pagli-companion' ),
        'choose_from_most_used'      => __( 'Choose from the most used', 'pagli-companion' ),
        'popular_items'              => __( 'Popular Items', 'pagli-companion' ),
        'search_items'               => __( 'Search Items', 'pagli-companion' ),
        'not_found'                  => __( 'Not Found', 'pagli-companion' ),
        'no_terms'                   => __( 'No items', 'pagli-companion' ),
        'items_list'                 => __( 'Items list', 'pagli-companion' ),
        'items_list_navigation'      => __( 'Items list navigation', 'pagli-companion' ),
    );
    $tax_args = array(
        'labels'                     => $tax_labels,
        'hierarchical'               => true,
        'public'                     => true,
        'show_ui'                    => true,
        'show_admin_column'          => true,
        'show_in_nav_menus'          => true,
        'show_tagcloud'              => true,
    );
    register_taxonomy( 'portfolio-category', array( 'portfolio' ), $tax_args );